//
//  UserApi.h
//  Project
//
//  Created by Vae on 2018/7/18.
//

#import <Foundation/Foundation.h>
#import "JavaAppAPI.h"
#import "WebService.h"
@interface UserApi : JavaAppAPI
@end

@interface ApplyResetPassword :UserApi
@property(nonatomic, strong) NSString *email;
@end

@interface Reset:UserApi
@property(nonatomic, strong) NSString *email;
@property(nonatomic, strong) NSString *password;
@property(nonatomic, strong) NSString *reTypePassword;
@property(nonatomic, strong) NSString *sid;
@end


@interface ApplyResetPasswordResponse : JavaAppAPIResponse
@property(nonatomic, assign) NSInteger applyState;
@end

@interface ResetResponse : JavaAppAPIResponse
@property(nonatomic, assign) NSInteger applyState;
@end


@interface GoogleLogin : UserApi
@property (nonatomic, strong) NSString *idToken;
@property (nonatomic, strong) NSString *deviceIdentifier;
@end

@interface GoogleLoginResponse : JavaAppAPIResponse
@property (nonatomic, strong) Vendor *user;
@end

@interface Logout : UserApi
@property(nonatomic, assign) NSInteger userAppId;
@end

@interface LogoutResponse : JavaAppAPIResponse

@end


